/*******************************************************************************
 *  Copyright 2017-2018 Centre for Development of Advanced Computing(C-DAC), Pune
 *  
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *  
 *   http://www.apache.org/licenses/LICENSE-2.0
 *  
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *******************************************************************************/
package cdac.medinfo.sdk.dcm30_04.templates.enums.cm;

/**
 * This enum represents Code Meaning for CardiovascularAnatomicLocationModifiers
 */
public enum EnumCM_CardiovascularAnatomicLocationModifiers 
{

	//CID 3019 Cardiovascular Anatomic Location Modifiers
	ANTERIOR("Anterior"),
	ARTERIAL_GRAFT_TO_CITED_SEGMENT("Arterial graft to cited segment"),
	CENTRAL("Central"),
	DISTAL("Distal"),
	GRAFT_TO_CITED_SEGMENT_BODY("Graft to cited segment, body"),
	GRAFT_TO_CITED_SEGMENT_DISTAL_ANASTOMOSIS("Graft to cited segment, distal anastomosis"),
	GRAFT_TO_CITED_SEGMENT_PROXIMAL_ANASTOMOSIS("Graft to cited segment, proximal anastomosis"),
	INFERIOR("Inferior"),
	LATERAL("Lateral"),
	LEFT("Left"),
	OSTIUM("Ostium"),
	POSTERIOR("Posterior"),
	PROXIMAL("Proximal"),
	RIGHT("Right"),
	SUPERIOR("Superior"),
	VENOUS_GRAFT_TO_CITED_SEGMENT("Venous graft to cited segment"),
	ENTIRE_VESSEL("Entire Vessel"),
	ANEURYSM_ON_CITED_VESSEL("Aneurysm on cited vessel"),
	GRAFT_TO_CITED_SEGMENT_PROXIMAL_SECTION("Graft to cited segment, proximal section"),
	GRAFTTOCITEDSEGMENT_MIDSECTION("Grafttocitedsegment,midsection"),
	GRAFT_TO_CITED_SEGMENT_DISTAL_SECTION("Graft to cited segment, distal section");

	private String value;
	
	EnumCM_CardiovascularAnatomicLocationModifiers(String strvalue)
	{
		this.value = strvalue;
	}
	
	/**
	 * This function returns the String value of this enum.
	 * @return - returns string value of Meta SOP Class.
	 */
	public String getValue()
	{
		return value;
	}
}
